/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.mapserver.datamodel.exceptions
 * File:    NoPollResultAvailableException.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.mapserver.datamodel.exceptions;
/**
 * Simple Exception which is thrown if getPollResultFor() is called on a
 * SubscriptionNotifier and no PollResult is available
 * 
 * @version 0.1
 * @author aw
 */

/* 
 * created: 01.05.10 aw
 * 
 * changes:
 *  01.05.10 aw - ...
 *
 */
public class NoPollResultAvailableException extends Exception {
	
	/**
	 * autogenerated
	 */
	private static final long serialVersionUID = -4934519996350252620L;

	public NoPollResultAvailableException(String message) {
		super(message);
	}
}
