/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.mapserver.provider
 * File:    StorePublisherIdException.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.mapserver.provider;

import de.fhhannover.inform.iron.mapserver.communication.ClientIdentifier;

/**
 * Simple {@link Exception} to be thrown if a {@link ClientIdentifier}
 * to publisher-id mapping cannot be stored.
 * 
 * @author aw
 *
 */
public class StorePublisherIdException extends Exception {

	/**
	 * autogenerated
	 */
	private static final long serialVersionUID = -7250686904612432423L;
	
	public StorePublisherIdException(String msg) {
		super(msg);
	}

}
